## org.flexdock.docking.floating.frames
Class RootPaneLayout

    java.lang.Object
      org.flexdock.docking.floating.frames.RootPaneLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.awt.LayoutManager2, java.io.Serializable

    public class RootPaneLayout

extends java.lang.Object
implements java.awt.LayoutManager2, java.io.Serializable

Author:
  Andreas Ernst, Christopher Butler
See Also:
  Serialized Form

Method Summary
`void` `addLayoutComponent(java.awt.Component comp, java.lang.Object constraints)`
`void` `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`float` `getLayoutAlignmentX(java.awt.Container target)`
`float` `getLayoutAlignmentY(java.awt.Container target)`
`void` `invalidateLayout(java.awt.Container target)`
`void` `layoutContainer(java.awt.Container parent)`
`java.awt.Dimension` `maximumLayoutSize(java.awt.Container target)`
`java.awt.Dimension` `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` `preferredLayoutSize(java.awt.Container parent)`
`void` `removeLayoutComponent(java.awt.Component comp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`

### maximumLayoutSize

    public java.awt.Dimension maximumLayoutSize(java.awt.Container target)

  Specified by:
    `maximumLayoutSize` in interface `java.awt.LayoutManager2`

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp,
                                   java.lang.Object constraints)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager2`

### getLayoutAlignmentX

    public float getLayoutAlignmentX(java.awt.Container target)

  Specified by:
    `getLayoutAlignmentX` in interface `java.awt.LayoutManager2`

### getLayoutAlignmentY

    public float getLayoutAlignmentY(java.awt.Container target)

  Specified by:
    `getLayoutAlignmentY` in interface `java.awt.LayoutManager2`

### invalidateLayout

    public void invalidateLayout(java.awt.Container target)

  Specified by:
    `invalidateLayout` in interface `java.awt.LayoutManager2`